The Puppet Labs Issue Tracker has Moved: https://tickets.puppetlabs.com

Bug #14300

mcollective gem dependencies not set

Added by Rob Terhaar almost 2 years ago. Updated almost 2 years ago.

Status:ClosedStart date:05/03/2012
Priority:NormalDue date:
Assignee:R.I. Pienaar% Done:

0%

Category:Packaging
Target version:2.1.x
Keywords: Affected mCollective version:2.0.0
Branch:

We've Moved!

Ticket tracking is now hosted in JIRA: https://tickets.puppetlabs.com

This issue is currently not available for export. If you are experiencing the issue described below, please file a new ticket in JIRA. Once a new ticket has been created, please add a link to it that points back to this Redmine ticket.


Description

On a fresh OSX install, I installed mcollective via: sudo gem install mcollective-client

The client was installed correctly, but when I run mco ping

I get an error because the stomp gem is missing. After installing stomp, I get an error message that facter is not installed.

History

#1 Updated by R.I. Pienaar almost 2 years ago

The gem is just the client libraries perhaps for embedding in a web application, it is not intended to be used for a user facing install.

Since the facts are plugin based and not tied to facter the dependency isnt set, same for stomp etc.

In order to use the gem you need to still have a normal mcollective install with plugins, config files, dependencies and so forth.

#2 Updated by R.I. Pienaar almost 2 years ago

  • Category set to Packaging
  • Status changed from Unreviewed to Closed
  • Assignee set to R.I. Pienaar
  • Target version set to 2.1.x

http://git.io/U5o8_w 2 files changed, 2 insertions(+), 0 deletions(–)

Also available in: Atom PDF